using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StoragesContracts;

public interface IProductStorageContract
{
    List<ProductViewModel> GetFullList();
    List<ProductViewModel> GetFilteredList(ProductBindingModel model);
    ProductViewModel GetElement(ProductBindingModel model);
    ProductViewModel Insert(ProductBindingModel model);
    ProductViewModel Update(ProductBindingModel model);
    ProductViewModel Delete(ProductBindingModel model);
}
